<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ActionGetInTransport Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d33/a07342.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionGetInTransport Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adc5ee5701343fe90e6e84af1468b7c12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#adc5ee5701343fe90e6e84af1468b7c12">AttachmentDebugPrint</a> (Man player, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> message)</td></tr>
<tr class="separator:adc5ee5701343fe90e6e84af1468b7c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8de7b4b34ee4337084652efffb19bff1"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#a8de7b4b34ee4337084652efffb19bff1">ActionCondition</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item)</td></tr>
<tr class="separator:a8de7b4b34ee4337084652efffb19bff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02e23a66a06d0035f62d34aa1a763787"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#a02e23a66a06d0035f62d34aa1a763787">Start</a> (ActionData action_data)</td></tr>
<tr class="separator:a02e23a66a06d0035f62d34aa1a763787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab83599abebc32700973725cb9421cde0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#ab83599abebc32700973725cb9421cde0">OnUpdate</a> (ActionData action_data)</td></tr>
<tr class="separator:ab83599abebc32700973725cb9421cde0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16878f2cc0e86a6cbaf1dab8a7dc8795"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#a16878f2cc0e86a6cbaf1dab8a7dc8795">PerformGetInTransport</a> (ActionData action_data)</td></tr>
<tr class="separator:a16878f2cc0e86a6cbaf1dab8a7dc8795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ce0b8cabe7f4c29572488b61b122823"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d33/a07342.html#a3ce0b8cabe7f4c29572488b61b122823">OnEndServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a3ce0b8cabe7f4c29572488b61b122823"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/d97/a02816.html">ActionGetInTransport.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00013">13</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a8de7b4b34ee4337084652efffb19bff1" name="a8de7b4b34ee4337084652efffb19bff1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8de7b4b34ee4337084652efffb19bff1">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ActionGetInTransport::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00024">24</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<a id="adc5ee5701343fe90e6e84af1468b7c12" name="adc5ee5701343fe90e6e84af1468b7c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc5ee5701343fe90e6e84af1468b7c12">&#9670;&#160;</a></span>AttachmentDebugPrint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionGetInTransport::AttachmentDebugPrint </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00016">16</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<a id="a3ce0b8cabe7f4c29572488b61b122823" name="a3ce0b8cabe7f4c29572488b61b122823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ce0b8cabe7f4c29572488b61b122823">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionGetInTransport::OnEndServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >So we are able to detect if pilot got disconnected or got out on own accord</p>

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00229">229</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<a id="ab83599abebc32700973725cb9421cde0" name="ab83599abebc32700973725cb9421cde0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab83599abebc32700973725cb9421cde0">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionGetInTransport::OnUpdate </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00111">111</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<a id="a16878f2cc0e86a6cbaf1dab8a7dc8795" name="a16878f2cc0e86a6cbaf1dab8a7dc8795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16878f2cc0e86a6cbaf1dab8a7dc8795">&#9670;&#160;</a></span>PerformGetInTransport()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ActionGetInTransport::PerformGetInTransport </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00148">148</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<a id="a02e23a66a06d0035f62d34aa1a763787" name="a02e23a66a06d0035f62d34aa1a763787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02e23a66a06d0035f62d34aa1a763787">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionGetInTransport::Start </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Very sorry other modders, can't call super in this function. Will cause crashes. If bohemia overrides ::OnStart instead of <a class="el" href="../../d4/d33/a07342.html#a02e23a66a06d0035f62d34aa1a763787">Start</a> then I will be able to call super </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d97/a02816_source.html#l00070">70</a> of file <a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/<a class="el" href="../../d4/d97/a02816_source.html">actiongetintransport.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d33/a07342.html">ActionGetInTransport</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
